tigase.jaxmpp.core.client.xmpp.modules.jingle

## Class Transport

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.modules.jingle.Transport

- All Implemented Interfaces:
    Element

      public class Transport
      extends ElementWrapper

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Transport.Mode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DSTADDR_ATTR`
    `static String` | `MODE_ATTR`
    `static String` | `SID_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transport(Element elem)`
    `Transport(String xmlns, String sid, Transport.Mode mode)`
    `Transport(String xmlns, String sid, Transport.Mode mode, String dstaddr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCandidate(Candidate candidate)`
    `List<Candidate>` | `getCandidates()`
    `String` | `getDstAddr()`
    `Transport.Mode` | `getMode()`
    `String` | `getSid()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DSTADDR_ATTR

          public static final String DSTADDR_ATTR

      See Also:
        Constant Field Values

    - #### MODE_ATTR

          public static final String MODE_ATTR

      See Also:
        Constant Field Values

    - #### SID_ATTR

          public static final String SID_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Transport

          public Transport(Element elem)
                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### Transport

          public Transport(String xmlns,
                           String sid,
                           Transport.Mode mode)
                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### Transport

          public Transport(String xmlns,
                           String sid,
                           Transport.Mode mode,
                           String dstaddr)
                    throws JaxmppException

      Throws:
        `JaxmppException`

  - ### Method Detail

    - #### addCandidate

          public void addCandidate(Candidate candidate)
                            throws XMLException

      Throws:
        `XMLException`

    - #### getCandidates

          public List<Candidate> getCandidates()
                                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getDstAddr

          public String getDstAddr()
                            throws XMLException

      Throws:
        `XMLException`

    - #### getMode

          public Transport.Mode getMode()
                                 throws XMLException

      Throws:
        `XMLException`

    - #### getSid

          public String getSid()
                        throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.